apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    workload.user.cattle.io/workloadselector: apps.deployment-tokoemas-apiservice
  name: apiservice
  namespace: tokoemas
spec:
  replicas: 1
  selector:
    matchLabels:
      workload.user.cattle.io/workloadselector: apps.deployment-tokoemas-apiservice
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        workload.user.cattle.io/workloadselector: apps.deployment-tokoemas-apiservice
    spec:
      affinity: {}
      containers:
      - image: git.tlab.co.id:5050/toko-emas/apiservice:development-8a92100a
        imagePullPolicy: Always
        name: apiservice
        ports:
        - containerPort: 8000
          name: apiservice
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      imagePullSecrets:
      - name: git-tlab
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
